$INCLUDE: 'C:\FG\FASTGRAF.FI'

      PROGRAM MAIN

      INTEGER*1 ESC
      PARAMETER (ESC=27)

      INTEGER*1 KEY, AUX
      INTEGER*4 START, TICKS
      INTEGER*4 FG_GETCLOCK

      CALL FG_INITPM
      START = FG_GETCLOCK()

10    TICKS = FG_GETCLOCK()
      WRITE(6,*) TICKS, ' ticks since midnight.'
      WRITE(6,*) TICKS-START, ' ticks since start of program.'
      WRITE(6,*)
      CALL FG_GETKEY(KEY,AUX)
      IF (KEY .NE. ESC) GO TO 10

      STOP ' '
      END
